# MOVEKIT

> Simple and effective tools for the analysis of movement data

Movekit is a open-source software for the analysis of movement data. 
The package includes modules for:

 - Preoprocessing (remove duplicates, interpolation,...)
 - Feature extraction (speed, detect stops,...)
 - Statistical (Average speed, autocorrelation,...)
analysis.

## Installation

The easiest way to install movekit is by using `pip` :

    pip install movekit

Movekit requires Python 3.5 or newer and:

- Pandas (>=0.20.3,<=0.23.4)
- SciPy (>= 1.3.1)
- tsfresh (>= 0.12.0)
- xlrd (>= 1.2.0)
- seaborn (>= 0.9.0)

Usage
--------
You can view a demo of common features in this
[this Jupyter Notebook](/examples/demo.ipynb).

Development
--------
Movekit Development Status is 2-Pre-Alpha

For an overview of version changes see the [CHANGELOG](https://github.com/dbvis-ukon/movekit/blob/master/CHANGELOG). 

Please submit bugs or feature requests to the GitHub issue tracker [here](https://github.com/dbvis-ukon/movekit/issues).

## License

This project was funded by the DFG Centre of Excellence 2117 "Centre for the
Advanced Study of Collective Behaviour" (ID: 422037984). See the [LICENSE](LICENSE) file for details

Copyright 2019 ©
[University Konstanz - Data Analysis and Visualization Group](https://www.vis.uni-konstanz.de/)
